//
//  LuxADSuperVC.m
//  TallPaper
//
//  Created by aaa on 2024/7/26.
//


#import "LuxADSuperVC.h"
#import "LuxADManager.h"

#import "LuxADSSModeVC.h"

@interface LuxADSuperVC ()

@end

@implementation LuxADSuperVC

- (void)viewDidLoad {
    [super viewDidLoad];
}

- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
    if (_adIndex > 0) {
        NSLog(@"%@已经进行viewDidAppear",NSStringFromClass([self class]));
        __weak typeof(self)weakSelf = self;
        [[LuxADManager shareInstance] showADWithIndex:_adIndex callback:^(NSInteger actionType) {//关闭ad
                //...
            if (actionType == 1) {
                NSLog(@"广告触发didHideAd 回调.....");
            }
            else if (actionType == 2) {
                NSLog(@"广告isReady为NO,未准备好 回调....");
            }
            NSLog(@"关闭了vc:%@",self);
            weakSelf.navigationController.navigationBarHidden = YES;
            [weakSelf.navigationController popViewControllerAnimated:NO];
        }];
    }
}

- (void)viewWillDisappear:(BOOL)animated {
    [super viewWillDisappear:animated];
}

@end
